package com.bocloud.cmp.model.hmc.sdk.job;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * InnerJobResponse
 *
 * @author 007
 */
public class InnerJobResponse {
    private Metadata metadata;
    private String targetUuid;
    private String jobId;
    /**
     * timeStarted 1528437222875
     */
    private String timeStarted;
    /**
     * timeCompleted
     * <p>
     * 1528437223282
     */
    private String timeCompleted;
    /**
     * status
     *
     * <pre>
     * 作业执行完成的状态: COMPLETED_OK COMPLETED_WITH_WARNINGS 作业执行失败的状态:
     * COMPLETED_WITH_ERROR FAILED_BEFORE_COMPLETION
     *
     * <pre>
     */
    private String status;
    /**
     * results
     */
    private JobResults results;
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the targetUuid
     */
    public String getTargetUuid() {
        return targetUuid;
    }

    /**
     * @param targetUuid the targetUuid to set
     */
    public void setTargetUuid(String targetUuid) {
        this.targetUuid = targetUuid;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    /**
     * @return the timeStarted
     */
    public String getTimeStarted() {
        return timeStarted;
    }

    /**
     * @param timeStarted the timeStarted to set
     */
    public void setTimeStarted(String timeStarted) {
        this.timeStarted = timeStarted;
    }

    /**
     * @return the timeCompleted
     */
    public String getTimeCompleted() {
        return timeCompleted;
    }

    /**
     * @param timeCompleted the timeCompleted to set
     */
    public void setTimeCompleted(String timeCompleted) {
        this.timeCompleted = timeCompleted;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the results
     */
    public JobResults getResults() {
        return results;
    }

    /**
     * @param results the results to set
     */
    public void setResults(JobResults results) {
        this.results = results;
    }

    public InnerJobResponse() {
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
